import socket
import binascii

sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
sock.bind(('127.0.0.1', 1365))
print("Listening on UDP 1365...")
data, addr = sock.recvfrom(2048)
print("Received QUIC UDP packet:")
print(binascii.hexlify(data).decode('utf-8'))
sock.close()
